Bug 229498 - [git-webkit] Use Python 3 in CI
Summary: [git-webkit] Use Python 3 in CI
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-08-25 09:02 PDT by Jonathan Bedard
Modified: 2021-08-27 04:19 PDT (History)
3 users (show)

See Also:


Attachments
Patch (5.01 KB, patch)
2021-08-25 09:07 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (5.05 KB, patch)
2021-08-25 11:08 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2021-08-25 09:02:30 PDT
Although git-webkit supports Python 2, it's a Python 3 script and should be invoked as such. A previous attempt to do this was effected by https://bugs.webkit.org/show_bug.cgi?id=229172, which has now been resolved
Comment 1 Radar WebKit Bug Importer 2021-08-25 09:06:19 PDT
<rdar://problem/82342387>
Comment 2 Jonathan Bedard 2021-08-25 09:07:07 PDT
Created attachment 436394 [details]
Patch
Comment 3 Jonathan Bedard 2021-08-25 11:08:31 PDT
Created attachment 436404 [details]
Patch
Comment 4 Aakash Jain 2021-08-25 12:32:13 PDT
Comment on attachment 436404 [details]
Patch

I applied this patch on ews uat instance and tested in https://ews-build.webkit-uat.org/#/builders/35/builds/106357

Hopefully we wouldn't see any unexpected issue this time.
Comment 5 Jonathan Bedard 2021-08-25 12:36:43 PDT
(In reply to Aakash Jain from comment #4)
> Comment on attachment 436404 [details]
> Patch
> 
> I applied this patch on ews uat instance and tested in
> https://ews-build.webkit-uat.org/#/builders/35/builds/106357
> 
> Hopefully we wouldn't see any unexpected issue this time.

The issue last time had to do with the auto installer, which I fixed as part of run-webkit-tests moving to Python 3.
Comment 6 EWS 2021-08-25 14:18:23 PDT
Committed r281586 (240950@main): <https://commits.webkit.org/240950@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436404 [details].
Comment 7 Aakash Jain 2021-08-26 10:40:40 PDT
buildbot on build.webkit.org has been restarted to pick up this change.
Comment 8 Aakash Jain 2021-08-27 04:19:45 PDT
buildbot on EWS has been restarted to pick up this change.